Results 1 to 2 of 2

Thread: HaProxy won't start.

  1. #1

    Question HaProxy won't start.

    Using Leap 15.2, I am trying to have letsenrypt ssl work with haproxy but it always fail.
    Code:
    haproxy -v
    HA-Proxy version 2.2.3 2020/09/08 - https://haproxy.org/
    Status: long-term supported branch - will stop receiving fixes around Q2 2025.
    Known bugs: http://www.haproxy.org/bugs/bugs-2.2.3.html
    Running on: Linux 5.3.18-lp152.41-default #1 SMP Thu Sep 3 23:02:59 UTC 2020 (a4d139b) x86_64
    Code:
    cd /etc/letsencrypt/live/mydomain
    cat fullchain.pem privkey.pem > haproxy.pem
    haproxy -f /etc/haproxy/haproxy.cfg
    [NOTICE] 274/082220 (19928) : haproxy version is 2.2.3
    [NOTICE] 274/082220 (19928) : path to executable is /usr/sbin/haproxy
    [ALERT] 274/082220 (19928) : parsing [/etc/haproxy/haproxy.cfg:32] : 'bind :443' : cannot open the file '/etc/letsencrypt/live/mydomain/haproxy.pem'.
    [ALERT] 274/082220 (19928) : Error(s) found in configuration file : /etc/haproxy/haproxy.cfg
    [ALERT] 274/082220 (19928) : Fatal errors found in configuration.
    Help appreciated.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    29,694
    Blog Entries
    15

    Default Re: HaProxy won't start.

    Quote Originally Posted by uwejan View Post
    Using Leap 15.2, I am trying to have letsenrypt ssl work with haproxy but it always fail.
    Code:
    haproxy -v
    HA-Proxy version 2.2.3 2020/09/08 - https://haproxy.org/
    Status: long-term supported branch - will stop receiving fixes around Q2 2025.
    Known bugs: http://www.haproxy.org/bugs/bugs-2.2.3.html
    Running on: Linux 5.3.18-lp152.41-default #1 SMP Thu Sep 3 23:02:59 UTC 2020 (a4d139b) x86_64
    Code:
    cd /etc/letsencrypt/live/mydomain
    cat fullchain.pem privkey.pem > haproxy.pem
    haproxy -f /etc/haproxy/haproxy.cfg
    [NOTICE] 274/082220 (19928) : haproxy version is 2.2.3
    [NOTICE] 274/082220 (19928) : path to executable is /usr/sbin/haproxy
    [ALERT] 274/082220 (19928) : parsing [/etc/haproxy/haproxy.cfg:32] : 'bind :443' : cannot open the file '/etc/letsencrypt/live/mydomain/haproxy.pem'.
    [ALERT] 274/082220 (19928) : Error(s) found in configuration file : /etc/haproxy/haproxy.cfg
    [ALERT] 274/082220 (19928) : Fatal errors found in configuration.
    Help appreciated.
    Hi and welcome to the Forum
    Does the missing file (/etc/letsencrypt/live/mydomain/haproxy.pem) exist, permissions and ownership ok?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •